using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;
namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                    NameOverride = "Applejack", //new item name with a suffix to assure it is globally unique
                    NameToOrderByOverride = "applejack",
                    DescriptionOverride = "She wants your apple", //new item description
                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                    ThumbnailOverride = ModAPI.LoadSprite("aplthumb.png"), //new item thumbnail (relative path)
                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                    {
                        var skin = ModAPI.LoadTexture("aplskin.png");
                        var flesh = ModAPI.LoadTexture("aplflesh.png");
                        var bone = ModAPI.LoadTexture("aplbone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("aplhair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0.002f, -0.20f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("aplhair.png");
                        cSpr.sortingLayerName = "Middle";
                        person.SetBodyTextures(skin, flesh, bone, 1);
                          }
                      }
                  );
                  ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                          NameOverride = "Sunset Satan", //new item name with a suffix to assure it is globally unique
                          NameToOrderByOverride = "sunset satan",
                          DescriptionOverride = "She wants to conker u with zombie teenagers.", //new item description
                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                          ThumbnailOverride = ModAPI.LoadSprite("sstanthumb.png"), //new item thumbnail (relative path)
                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                          {
                              var skin = ModAPI.LoadTexture("sstanskin.png");
                              var flesh = ModAPI.LoadTexture("sstanflesh.png");
                              var bone = ModAPI.LoadTexture("sstanbone.png");
                              var person = Instance.GetComponent<PersonBehaviour>();
                              var head = Instance.transform.GetChild(5);
                              var cObj = new GameObject("sstanhair");
                              cObj.transform.SetParent(Instance.transform.Find("Head"));
                              cObj.transform.localPosition = new Vector3(0.0f, 0.27f);
                              cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cObj.transform.localScale = new Vector3(1f, 1f);
                              var cSpr = cObj.AddComponent<SpriteRenderer>();
                              cSpr.sprite = ModAPI.LoadSprite("sstanhair.png");
                              cSpr.sortingLayerName = "Middle";
                              var dObj = new GameObject("sstanwing");
                            dObj.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                            dObj.transform.localPosition = new Vector3(-1.1f, 0.10f);
                            dObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                            dObj.transform.localScale = new Vector3(1f, 1f);
                            var dSpr = dObj.AddComponent<SpriteRenderer>();
                            dSpr.sprite = ModAPI.LoadSprite("sstanwings.png");
                            dSpr.sortingLayerName = "Top";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                            }
                        }
                    );

                    ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                            NameOverride = "Big McIntosh", //new item name with a suffix to assure it is globally unique
                            NameToOrderByOverride = "big mcintosh",
                            DescriptionOverride = "Giga chad, but wants to be a princess, wich is no chad.", //new item description
                            CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                            ThumbnailOverride = ModAPI.LoadSprite("bigmacthumb.png"), //new item thumbnail (relative path)
                            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                            {
                                var skin = ModAPI.LoadTexture("bigmacskin.png");
                                var flesh = ModAPI.LoadTexture("bigmacflesh.png");
                                var bone = ModAPI.LoadTexture("bigmacbone.png");
                                var person = Instance.GetComponent<PersonBehaviour>();
                                var head = Instance.transform.GetChild(5);
                                var cObj = new GameObject("lunahair");
                                cObj.transform.SetParent(Instance.transform.Find("Head"));
                                cObj.transform.localPosition = new Vector3(0.0f, 0.04f);
                                cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                cObj.transform.localScale = new Vector3(1f, 1f);
                                var cSpr = cObj.AddComponent<SpriteRenderer>();
                                cSpr.sprite = ModAPI.LoadSprite("bigmachair.png");
                                cSpr.sortingLayerName = "Middle";
                                person.SetBodyTextures(skin, flesh, bone, 1);
                              }
                          }
                      );
                      ModAPI.Register(
                          new Modification()
                          {
                              OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                              NameOverride = "Captain Planet", //new item name with a suffix to assure it is globally unique
                              NameToOrderByOverride = "captain planet",
                              DescriptionOverride = "Don't give him any flesh, lol.", //new item description
                              CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                              ThumbnailOverride = ModAPI.LoadSprite("captainplanetthumb.png"), //new item thumbnail (relative path)
                              AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                              {
                                  var skin = ModAPI.LoadTexture("captainplanetskin.png");
                                  var flesh = ModAPI.LoadTexture("captainplanetflesh.png");
                                  var bone = ModAPI.LoadTexture("captainplanetbone.png");
                                  var person = Instance.GetComponent<PersonBehaviour>();
                                  var head = Instance.transform.GetChild(5);
                                  var cObj = new GameObject("flashhair");
                                  cObj.transform.SetParent(Instance.transform.Find("Head"));
                                  cObj.transform.localPosition = new Vector3(-0.21f, -0.09f);
                                  cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  cObj.transform.localScale = new Vector3(1f, 1f);
                                  var cSpr = cObj.AddComponent<SpriteRenderer>();
                                  cSpr.sprite = ModAPI.LoadSprite("captainplanethair.png");
                                  cSpr.sortingLayerName = "Middle";
                                  person.SetBodyTextures(skin, flesh, bone, 1);
                                }
                            }
                        );
                        ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                NameOverride = "Paisley", //new item name with a suffix to assure it is globally unique
                                NameToOrderByOverride = "paisley",
                                DescriptionOverride = "Cute hippie <3.", //new item description
                                CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                ThumbnailOverride = ModAPI.LoadSprite("paisleythumb.png"), //new item thumbnail (relative path)
                                AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                {
                                    var skin = ModAPI.LoadTexture("paisleyskin.png");
                                    var flesh = ModAPI.LoadTexture("paisleyflesh.png");
                                    var bone = ModAPI.LoadTexture("paisleybone.png");
                                    var person = Instance.GetComponent<PersonBehaviour>();
                                    var head = Instance.transform.GetChild(5);
                                    var cObj = new GameObject("paisleyhair");
                                    cObj.transform.SetParent(Instance.transform.Find("Head"));
                                    cObj.transform.localPosition = new Vector3(-0.06f, -0.18f);
                                    cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    cObj.transform.localScale = new Vector3(1f, 1f);
                                    var cSpr = cObj.AddComponent<SpriteRenderer>();
                                    cSpr.sprite = ModAPI.LoadSprite("paisleyhair.png");
                                    cSpr.sortingLayerName = "Middle";
                                    person.SetBodyTextures(skin, flesh, bone, 1);
                                  }
                              }
                          );
                          ModAPI.Register(
                              new Modification()
                              {
                                  OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                  NameOverride = "Sandalwood", //new item name with a suffix to assure it is globally unique
                                  NameToOrderByOverride = "sandalwood",
                                  DescriptionOverride = "This dude smoke pure gaia peaceful fitness.", //new item description
                                  CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                  ThumbnailOverride = ModAPI.LoadSprite("sandalwoodthumb.png"), //new item thumbnail (relative path)
                                  AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                  {
                                      var skin = ModAPI.LoadTexture("sandalwoodskin.png");
                                      var flesh = ModAPI.LoadTexture("sandalwoodflesh.png");
                                      var bone = ModAPI.LoadTexture("sandalwoodbone.png");
                                      var person = Instance.GetComponent<PersonBehaviour>();
                                      var head = Instance.transform.GetChild(5);
                                      var cObj = new GameObject("sandalwoodhair");
                                      cObj.transform.SetParent(Instance.transform.Find("Head"));
                                      cObj.transform.localPosition = new Vector3(0.0f, -0.06f);
                                      cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      cObj.transform.localScale = new Vector3(1f, 1f);
                                      var cSpr = cObj.AddComponent<SpriteRenderer>();
                                      cSpr.sprite = ModAPI.LoadSprite("sandalwoodhair.png");
                                      cSpr.sortingLayerName = "Middle";
                                      person.SetBodyTextures(skin, flesh, bone, 1);
                                    }
                                }
                            );
                      ModAPI.Register(
                          new Modification()
                          {
                              OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                              NameOverride = "Ringo", //new item name with a suffix to assure it is globally unique
                              NameToOrderByOverride = "ringo",
                              DescriptionOverride = "This good man looks like Nick from South Park, lol.", //new item description
                              CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                              ThumbnailOverride = ModAPI.LoadSprite("ringothumb.png"), //new item thumbnail (relative path)
                              AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                              {
                                  var skin = ModAPI.LoadTexture("ringoskin.png");
                                  var flesh = ModAPI.LoadTexture("ringoflesh.png");
                                  var bone = ModAPI.LoadTexture("ringobone.png");
                                  var person = Instance.GetComponent<PersonBehaviour>();
                                  var head = Instance.transform.GetChild(5);
                                  var cObj = new GameObject("ringohair");
                                  cObj.transform.SetParent(Instance.transform.Find("Head"));
                                  cObj.transform.localPosition = new Vector3(-0.05f, 0.12f);
                                  cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  cObj.transform.localScale = new Vector3(1f, 1f);
                                  var cSpr = cObj.AddComponent<SpriteRenderer>();
                                  cSpr.sprite = ModAPI.LoadSprite("ringohair.png");
                                  cSpr.sortingLayerName = "Middle";
                                  person.SetBodyTextures(skin, flesh, bone, 1);
                                }
                            }
                        );
                      ModAPI.Register(
                          new Modification()
                          {
                              OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                              NameOverride = "Adagio Dazzle", //new item name with a suffix to assure it is globally unique
                              NameToOrderByOverride = "adagio dazzle",
                              DescriptionOverride = "My mom said this girl was something like 'the evil Pinkie Pie or that pink betch', lol.", //new item description
                              CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                              ThumbnailOverride = ModAPI.LoadSprite("adagiothumb.png"), //new item thumbnail (relative path)
                              AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                              {
                                  var skin = ModAPI.LoadTexture("adagioskin.png");
                                  var flesh = ModAPI.LoadTexture("adagioflesh.png");
                                  var bone = ModAPI.LoadTexture("adagiobone.png");
                                  var person = Instance.GetComponent<PersonBehaviour>();
                                  var head = Instance.transform.GetChild(5);
                                  var cObj = new GameObject("adagiohair");
                                  cObj.transform.SetParent(Instance.transform.Find("Head"));
                                  cObj.transform.localPosition = new Vector3(-0.26f, -0.07f);
                                  cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  cObj.transform.localScale = new Vector3(1f, 1f);
                                  var cSpr = cObj.AddComponent<SpriteRenderer>();
                                  cSpr.sprite = ModAPI.LoadSprite("adagiohair.png");
                                  cSpr.sortingLayerName = "Middle";
                                  person.SetBodyTextures(skin, flesh, bone, 1);
                                }
                            }
                        );
                        ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                NameOverride = "Twilight Sparkle (Rainbow Rocks))", //new item name with a suffix to assure it is globally unique
                                NameToOrderByOverride = "rainboom twilight",
                                DescriptionOverride = "Nice singer!", //new item description
                                CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                ThumbnailOverride = ModAPI.LoadSprite("twilightrockthumb.png"), //new item thumbnail (relative path)
                                AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                {
                                    var skin = ModAPI.LoadTexture("twilightrocksskin.png");
                                    var flesh = ModAPI.LoadTexture("twilightrockflesh.png");
                                    var bone = ModAPI.LoadTexture("twilightrockbone.png");
                                    var person = Instance.GetComponent<PersonBehaviour>();
                                    var head = Instance.transform.GetChild(5);
                                    var yzObj = new GameObject("twilightrockarm");
                                    yzObj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                                    yzObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                    yzObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    yzObj.transform.localScale = new Vector3(1f, 1f);
                                    var yzSpr = yzObj.AddComponent<SpriteRenderer>();
                                    yzSpr.sprite = ModAPI.LoadSprite("twilightrockarm.png");
                                    yzSpr.sortingLayerName = "Decals";
                                    var cObj = new GameObject("twilightrockhair");
                                    cObj.transform.SetParent(Instance.transform.Find("Head"));
                                    cObj.transform.localPosition = new Vector3(0.0f, -0.2f);
                                    cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    cObj.transform.localScale = new Vector3(1f, 1f);
                                    var cSpr = cObj.AddComponent<SpriteRenderer>();
                                    cSpr.sprite = ModAPI.LoadSprite("twilightrockhair.png");
                                    cSpr.sortingLayerName = "Top";
                                  var etObj = new GameObject("twilightrockdresstop");
                                etObj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                etObj.transform.localPosition = new Vector3(-0.03f, -0.26f);
                                etObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                etObj.transform.localScale = new Vector3(1f, 1f);
                                var etSpr = etObj.AddComponent<SpriteRenderer>();
                                etSpr.sprite = ModAPI.LoadSprite("twilightrockdresstop.png");
                                etSpr.sortingLayerName = "Back";
                                var emObj = new GameObject("twilightrockdressmid");
                              emObj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                              emObj.transform.localPosition = new Vector3(-0.03f, -0.26f);
                              emObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              emObj.transform.localScale = new Vector3(1f, 1f);
                              var emSpr = emObj.AddComponent<SpriteRenderer>();
                              emSpr.sprite = ModAPI.LoadSprite("twilightrockdressmid.png");
                              emSpr.sortingLayerName = "Top";
                              var vObj = new GameObject("twilightrockneck");
                            vObj.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                            vObj.transform.localPosition = new Vector3(-0.06f, 0.06f);
                            vObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                            vObj.transform.localScale = new Vector3(1f, 1f);
                            var vSpr = vObj.AddComponent<SpriteRenderer>();
                            vSpr.sprite = ModAPI.LoadSprite("twilightrockneck.png");
                            vSpr.sortingLayerName = "Top";
                              var ebObj = new GameObject("twilightrockdressbot");
                            ebObj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                            ebObj.transform.localPosition = new Vector3(-0.03f, -0.26f);
                            ebObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                            ebObj.transform.localScale = new Vector3(1f, 1f);
                            var ebSpr = ebObj.AddComponent<SpriteRenderer>();
                            ebSpr.sprite = ModAPI.LoadSprite("twilightrockdressbot.png");
                            ebSpr.sortingLayerName = "Back";
                                var qObj = new GameObject("twilightrockupperleg");
                                qObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("UpperLegFront"));
                                qObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                qObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                qObj.transform.localScale = new Vector3(1f, 1f);
                                var qSpr = qObj.AddComponent<SpriteRenderer>();
                                qSpr.sprite = ModAPI.LoadSprite("twilightrockupperleg.png");
                                qSpr.sortingLayerName = "Top";
                              var xObj = new GameObject("twilightrocklowerleg");
                              xObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("LowerLegFront"));
                              xObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              xObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              xObj.transform.localScale = new Vector3(1f, 1f);
                              var xSpr = xObj.AddComponent<SpriteRenderer>();
                              xSpr.sprite = ModAPI.LoadSprite("twilightrocklowerleg.png");
                              xSpr.sortingLayerName = "Top";
                            var yObj = new GameObject("twilightrockfeet");
                            yObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("FootFront"));
                            yObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                            yObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                            yObj.transform.localScale = new Vector3(1f, 1f);
                            var ySpr = yObj.AddComponent<SpriteRenderer>();
                            ySpr.sprite = ModAPI.LoadSprite("twilightrockfeet.png");
                            ySpr.sortingLayerName = "Top";
                            var yz2Obj = new GameObject("twilightrockarm");
                            yz2Obj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                            yz2Obj.transform.localPosition = new Vector3(0.0f, 0.0f);
                            yz2Obj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                            yz2Obj.transform.localScale = new Vector3(1f, 1f);
                            var yz2Spr = yz2Obj.AddComponent<SpriteRenderer>();
                            yz2Spr.sprite = ModAPI.LoadSprite("twilightrockarm.png");
                            yz2Spr.sortingLayerName = "Decals";
                                    person.SetBodyTextures(skin, flesh, bone, 1);
                                  }
                              }
                          );
                          ModAPI.Register(
                              new Modification()
                              {
                                  OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                  NameOverride = "Applejack (Rainbow Rocks)", //new item name with a suffix to assure it is globally unique
                                  NameToOrderByOverride = "rainbooms applejack",
                                  DescriptionOverride = "I used a different method to make her.. did you like it? :3", //new item description
                                  CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                  ThumbnailOverride = ModAPI.LoadSprite("rainboomaplthumb.png"), //new item thumbnail (relative path)
                                  AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                  {
                                      var skin = ModAPI.LoadTexture("rainboomaplskin.png");
                                      var flesh = ModAPI.LoadTexture("rainboomaplflesh.png");
                                      var bone = ModAPI.LoadTexture("rainboomaplbone.png");
                                      var person = Instance.GetComponent<PersonBehaviour>();
                                      var head = Instance.transform.GetChild(5);
                                      var yb2Obj = new GameObject("rainboomaplarm2");
                                      yb2Obj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                                      yb2Obj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                      yb2Obj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      yb2Obj.transform.localScale = new Vector3(1f, 1f);
                                      var yb2Spr = yb2Obj.AddComponent<SpriteRenderer>();
                                      yb2Spr.sprite = ModAPI.LoadSprite("rainboomapllowarm.png");
                                      yb2Spr.sortingLayerName = "Decals";
                                      var cObj = new GameObject("rainboomaplhair");
                                      cObj.transform.SetParent(Instance.transform.Find("Head"));
                                      cObj.transform.localPosition = new Vector3(0.002f, -0.20f);
                                      cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      cObj.transform.localScale = new Vector3(1f, 1f);
                                      var cSpr = cObj.AddComponent<SpriteRenderer>();
                                      cSpr.sprite = ModAPI.LoadSprite("rainboomaplhair.png");
                                      cSpr.sortingLayerName = "Middle";

                                  var qObj = new GameObject("rainpinkupleg");
                                  qObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("UpperLegFront"));
                                  qObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                  qObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  qObj.transform.localScale = new Vector3(1f, 1f);
                                  var qSpr = qObj.AddComponent<SpriteRenderer>();
                                  qSpr.sprite = ModAPI.LoadSprite("rainboomaplupleg.png");
                                  qSpr.sortingLayerName = "Top";
                                var xObj = new GameObject("rainpinklowleg");
                                xObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("LowerLegFront"));
                                xObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                xObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                xObj.transform.localScale = new Vector3(1f, 1f);
                                var xSpr = xObj.AddComponent<SpriteRenderer>();
                                xSpr.sprite = ModAPI.LoadSprite("rainboomapllowleg.png");
                                xSpr.sortingLayerName = "Top";
                              var qbObj = new GameObject("rainboomaplboot");
                              qbObj.transform.SetParent(Instance.transform.Find("BackLeg").Find("Foot"));
                              qbObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              qbObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              qbObj.transform.localScale = new Vector3(1f, 1f);
                              var qbSpr = qbObj.AddComponent<SpriteRenderer>();
                              qbSpr.sprite = ModAPI.LoadSprite("rainboomaplboot.png");
                              qbSpr.sortingLayerName = "Top";
                              var yObj = new GameObject("rainboomaplboot2");
                              yObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("FootFront"));
                              yObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              yObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              yObj.transform.localScale = new Vector3(1f, 1f);
                              var ySpr = yObj.AddComponent<SpriteRenderer>();
                              ySpr.sprite = ModAPI.LoadSprite("rainboomaplboot.png");
                              ySpr.sortingLayerName = "Top";
                              var ef1Obj = new GameObject("rainboomaplskirt");
                              ef1Obj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                              ef1Obj.transform.localPosition = new Vector3(-0.02f, -0.13f);
                              ef1Obj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              ef1Obj.transform.localScale = new Vector3(1f, 1f);
                              var ef1Spr = ef1Obj.AddComponent<SpriteRenderer>();
                              ef1Spr.sprite = ModAPI.LoadSprite("rainboomaplskirt.png");
                              ef1Spr.sortingLayerName = "Top";
                              var ybObj = new GameObject("rainboomapllowarm");
                              ybObj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                              ybObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              ybObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              ybObj.transform.localScale = new Vector3(1f, 1f);
                              var ybSpr = ybObj.AddComponent<SpriteRenderer>();
                              ybSpr.sprite = ModAPI.LoadSprite("rainboomapllowarm.png");
                              ybSpr.sortingLayerName = "Decals";
                              var ycObj = new GameObject("rainboomapluparm");
                              ycObj.transform.SetParent(Instance.transform.Find("FrontArm").Find("UpperArmFront"));
                              ycObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              ycObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              ycObj.transform.localScale = new Vector3(1f, 1f);
                              var ycSpr = ycObj.AddComponent<SpriteRenderer>();
                              ycSpr.sprite = ModAPI.LoadSprite("rainboomapluparm.png");
                              ycSpr.sortingLayerName = "Top";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                                    }
                                }
                            );
                          ModAPI.Register(
                              new Modification()
                              {
                                  OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                  NameOverride = "Rainbow Dash (Rainbow Rocks))", //new item name with a suffix to assure it is globally unique
                                  NameToOrderByOverride = "rainbooms rainbow dash",
                                  DescriptionOverride = "Maybe some rework in future to this skin.", //new item description
                                  CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                  ThumbnailOverride = ModAPI.LoadSprite("rainrockthumb.png"), //new item thumbnail (relative path)
                                  AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                  {
                                      var skin = ModAPI.LoadTexture("rainrockskin.png");
                                      var flesh = ModAPI.LoadTexture("rainrockflesh.png");
                                      var bone = ModAPI.LoadTexture("rainrockbone.png");
                                      var person = Instance.GetComponent<PersonBehaviour>();
                                      var head = Instance.transform.GetChild(5);
                                      var yzObj = new GameObject("rainrockarm");
                                      yzObj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                                      yzObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                      yzObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      yzObj.transform.localScale = new Vector3(1f, 1f);
                                      var yzSpr = yzObj.AddComponent<SpriteRenderer>();
                                      yzSpr.sprite = ModAPI.LoadSprite("rainrockarm.png");
                                      yzSpr.sortingLayerName = "Decals";
                                      var cObj = new GameObject("rainrockhair");
                                      cObj.transform.SetParent(Instance.transform.Find("Head"));
                                      cObj.transform.localPosition = new Vector3(0.0f, -0.15f);
                                      cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      cObj.transform.localScale = new Vector3(1f, 1f);
                                      var cSpr = cObj.AddComponent<SpriteRenderer>();
                                      cSpr.sprite = ModAPI.LoadSprite("rainrockhair.png");
                                      cSpr.sortingLayerName = "Middle";
                                  var qObj = new GameObject("rainrockupperleg");
                                  qObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("UpperLegFront"));
                                  qObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                  qObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  qObj.transform.localScale = new Vector3(1f, 1f);
                                  var qSpr = qObj.AddComponent<SpriteRenderer>();
                                  qSpr.sprite = ModAPI.LoadSprite("rainrockupperleg.png");
                                  qSpr.sortingLayerName = "Top";
                                var xObj = new GameObject("rainrocklowerleg");
                                xObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("LowerLegFront"));
                                xObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                xObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                xObj.transform.localScale = new Vector3(1f, 1f);
                                var xSpr = xObj.AddComponent<SpriteRenderer>();
                                xSpr.sprite = ModAPI.LoadSprite("rainrocklowerleg.png");
                                xSpr.sortingLayerName = "Decals";
                              var yObj = new GameObject("rainrockboot");
                              yObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("FootFront"));
                              yObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              yObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              yObj.transform.localScale = new Vector3(1f, 1f);
                              var ySpr = yObj.AddComponent<SpriteRenderer>();
                              ySpr.sprite = ModAPI.LoadSprite("rainrockboot.png");
                              ySpr.sortingLayerName = "Top";
                              var etObj = new GameObject("rainrockdecor");
                              etObj.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                              etObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              etObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              etObj.transform.localScale = new Vector3(1f, 1f);
                              var etSpr = etObj.AddComponent<SpriteRenderer>();
                              etSpr.sprite = ModAPI.LoadSprite("rainrockdecor.png");
                              etSpr.sortingLayerName = "Middle";
                              var efObj = new GameObject("rainrockskirt");
                              efObj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                              efObj.transform.localPosition = new Vector3(0.0f, -0.11f);
                              efObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              efObj.transform.localScale = new Vector3(1f, 1f);
                              var efSpr = efObj.AddComponent<SpriteRenderer>();
                              efSpr.sprite = ModAPI.LoadSprite("rainrockskirt.png");
                              efSpr.sortingLayerName = "Top";
                              var qbxObj = new GameObject("rainrockhair");
                              qbxObj.transform.SetParent(Instance.transform.Find("BackLeg").Find("LowerLeg"));
                              qbxObj.transform.localPosition = new Vector3(-0.02f, 0.0f);
                              qbxObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              qbxObj.transform.localScale = new Vector3(1f, 1f);
                              var qbxSpr = qbxObj.AddComponent<SpriteRenderer>();
                              qbxSpr.sprite = ModAPI.LoadSprite("rainrocklowerlegback.png");
                              qbxSpr.sortingLayerName = "Top";
                              var ybObj = new GameObject("rainrockboot2");
                              ybObj.transform.SetParent(Instance.transform.Find("BackLeg").Find("Foot"));
                              ybObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              ybObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              ybObj.transform.localScale = new Vector3(1f, 1f);
                              var ybSpr = ybObj.AddComponent<SpriteRenderer>();
                              ybSpr.sprite = ModAPI.LoadSprite("rainrockboot.png");
                              person.SetBodyTextures(skin, flesh, bone, 1);
                                    }
                                }
                            );
                            ModAPI.Register(
                                new Modification()
                                {
                                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                    NameOverride = "Fluttershy (Rainbow Rocks))", //new item name with a suffix to assure it is globally unique
                                    NameToOrderByOverride = "rainbooms fluttershy",
                                    DescriptionOverride = "Her dress looks like a bee <3", //new item description
                                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                    ThumbnailOverride = ModAPI.LoadSprite("rainboomsfluttershythumb.png"), //new item thumbnail (relative path)
                                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                    {
                                        var skin = ModAPI.LoadTexture("rainboomsfluttershyskin.png");
                                        var flesh = ModAPI.LoadTexture("rainboomsfluttershyflesh.png");
                                        var bone = ModAPI.LoadTexture("rainboomsfluttershybone.png");
                                        var person = Instance.GetComponent<PersonBehaviour>();
                                        var head = Instance.transform.GetChild(5);
                                        var cObj = new GameObject("rainboomsfluttershyhair");
                                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                                        cObj.transform.localPosition = new Vector3(0.0f, -0.12f);
                                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                        cObj.transform.localScale = new Vector3(1f, 1f);
                                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                                        cSpr.sprite = ModAPI.LoadSprite("rainboomsfluttershyhair.png");
                                        cSpr.sortingLayerName = "Top";
                                        var ef1Obj = new GameObject("rainflutalldress");
                                        ef1Obj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                        ef1Obj.transform.localPosition = new Vector3(0.0f, -0.09f);
                                        ef1Obj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                        ef1Obj.transform.localScale = new Vector3(1f, 1f);
                                        var ef1Spr = ef1Obj.AddComponent<SpriteRenderer>();
                                        ef1Spr.sprite = ModAPI.LoadSprite("rainflutalldress.png");
                                        ef1Spr.sortingLayerName = "Top";
                                    var qObj = new GameObject("rainflutlegup");
                                    qObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("UpperLegFront"));
                                    qObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                    qObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    qObj.transform.localScale = new Vector3(1f, 1f);
                                    var qSpr = qObj.AddComponent<SpriteRenderer>();
                                    qSpr.sprite = ModAPI.LoadSprite("rainflutlegup.png");
                                    qSpr.sortingLayerName = "Top";
                                  var xObj = new GameObject("rainflutleglow");
                                  xObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("LowerLegFront"));
                                  xObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                  xObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  xObj.transform.localScale = new Vector3(1f, 1f);
                                  var xSpr = xObj.AddComponent<SpriteRenderer>();
                                  xSpr.sprite = ModAPI.LoadSprite("rainflutleglow.png");
                                  xSpr.sortingLayerName = "Top";
                                var yObj = new GameObject("rainflutheel");
                                yObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("FootFront"));
                                yObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                yObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                yObj.transform.localScale = new Vector3(1f, 1f);
                                var ySpr = yObj.AddComponent<SpriteRenderer>();
                                ySpr.sprite = ModAPI.LoadSprite("rainflutheel.png");
                                ySpr.sortingLayerName = "Top";
                                var ybObj = new GameObject("rainboomsfluttershyarm");
                                ybObj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                                ybObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                ybObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                ybObj.transform.localScale = new Vector3(1f, 1f);
                                var ybSpr = ybObj.AddComponent<SpriteRenderer>();
                                ybSpr.sprite = ModAPI.LoadSprite("rainboomsfluttershyarm.png");
                                ybSpr.sortingLayerName = "Decals";
                                person.SetBodyTextures(skin, flesh, bone, 1);
                                      }
                                  }
                              );
                              ModAPI.Register(
                                  new Modification()
                                  {
                                      OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                      NameOverride = "Pinkie Pie (Rainbow Rocks)", //new item name with a suffix to assure it is globally unique
                                      NameToOrderByOverride = "rainbooms pinkie pie",
                                      DescriptionOverride = "I used a different method to make her.. did you like it? :3", //new item description
                                      CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                      ThumbnailOverride = ModAPI.LoadSprite("rainboompinkiethumb.png"), //new item thumbnail (relative path)
                                      AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                      {
                                          var skin = ModAPI.LoadTexture("rainboompink.png");
                                          var flesh = ModAPI.LoadTexture("rainboompinkflesh.png");
                                          var bone = ModAPI.LoadTexture("rainboompinkbone.png");
                                          var person = Instance.GetComponent<PersonBehaviour>();
                                          var head = Instance.transform.GetChild(5);
                                          var ybObj = new GameObject("rainpinkarm");
                                          ybObj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                                          ybObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                          ybObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                          ybObj.transform.localScale = new Vector3(1f, 1f);
                                          var ybSpr = ybObj.AddComponent<SpriteRenderer>();
                                          ybSpr.sprite = ModAPI.LoadSprite("rainpinkarm.png");
                                          ybSpr.sortingLayerName = "Decals";
                                          var cObj = new GameObject("rainboomsfluttershyhair");
                                          cObj.transform.SetParent(Instance.transform.Find("Head"));
                                          cObj.transform.localPosition = new Vector3(-0.06f, -0.09f);
                                          cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                          cObj.transform.localScale = new Vector3(1f, 1f);
                                          var cSpr = cObj.AddComponent<SpriteRenderer>();
                                          cSpr.sprite = ModAPI.LoadSprite("rainpinkhair.png");
                                          cSpr.sortingLayerName = "Top";

                                      var qObj = new GameObject("rainpinkupleg");
                                      qObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("UpperLegFront"));
                                      qObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                      qObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      qObj.transform.localScale = new Vector3(1f, 1f);
                                      var qSpr = qObj.AddComponent<SpriteRenderer>();
                                      qSpr.sprite = ModAPI.LoadSprite("rainpinkupleg.png");
                                      qSpr.sortingLayerName = "Top";
                                    var xObj = new GameObject("rainpinklowleg");
                                    xObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("LowerLegFront"));
                                    xObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                    xObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                    xObj.transform.localScale = new Vector3(1f, 1f);
                                    var xSpr = xObj.AddComponent<SpriteRenderer>();
                                    xSpr.sprite = ModAPI.LoadSprite("rainpinklowleg.png");
                                    xSpr.sortingLayerName = "Top";
                                  var qbObj = new GameObject("rainboompinkheel");
                                  qbObj.transform.SetParent(Instance.transform.Find("BackLeg").Find("Foot"));
                                  qbObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                  qbObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  qbObj.transform.localScale = new Vector3(1f, 1f);
                                  var qbSpr = qbObj.AddComponent<SpriteRenderer>();
                                  qbSpr.sprite = ModAPI.LoadSprite("rainboompinkheel.png");
                                  qbSpr.sortingLayerName = "Top";
                                  var yObj = new GameObject("rainboompinkheel2");
                                  yObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("FootFront"));
                                  yObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                  yObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  yObj.transform.localScale = new Vector3(1f, 1f);
                                  var ySpr = yObj.AddComponent<SpriteRenderer>();
                                  ySpr.sprite = ModAPI.LoadSprite("rainboompinkheel2.png");
                                  ySpr.sortingLayerName = "Top";
                                  var ef1Obj = new GameObject("rainboompinkskirt");
                                  ef1Obj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                  ef1Obj.transform.localPosition = new Vector3(0.0f, -0.09f);
                                  ef1Obj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  ef1Obj.transform.localScale = new Vector3(1f, 1f);
                                  var ef1Spr = ef1Obj.AddComponent<SpriteRenderer>();
                                  ef1Spr.sprite = ModAPI.LoadSprite("rainboompinkskirt.png");
                                  ef1Spr.sortingLayerName = "Top";
                                  person.SetBodyTextures(skin, flesh, bone, 1);
                                        }
                                    }
                                );
                          ModAPI.Register(
                              new Modification()
                              {
                                  OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                  NameOverride = "Rarity (Rainbow Rocks))", //new item name with a suffix to assure it is globally unique
                                  NameToOrderByOverride = "rainbooms rarity",
                                  DescriptionOverride = "FANCY!!!", //new item description
                                  CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                  ThumbnailOverride = ModAPI.LoadSprite("rarrockthumb.png"), //new item thumbnail (relative path)
                                  AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                  {
                                      var skin = ModAPI.LoadTexture("rainboomrarskin.png");
                                      var flesh = ModAPI.LoadTexture("rainboomrarflesh.png");
                                      var bone = ModAPI.LoadTexture("rainboomrarbone.png");
                                      var person = Instance.GetComponent<PersonBehaviour>();
                                      var head = Instance.transform.GetChild(5);
                                      var yzObj = new GameObject("rainboomrararm");
                                      yzObj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                                      yzObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                      yzObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      yzObj.transform.localScale = new Vector3(1f, 1f);
                                      var yzSpr = yzObj.AddComponent<SpriteRenderer>();
                                      yzSpr.sprite = ModAPI.LoadSprite("rainboomrararm.png");
                                      yzSpr.sortingLayerName = "Decals";
                                      var cObj = new GameObject("rarrockhair");
                                      cObj.transform.SetParent(Instance.transform.Find("Head"));
                                      cObj.transform.localPosition = new Vector3(-0.02f, -0.06f);
                                      cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      cObj.transform.localScale = new Vector3(1f, 1f);
                                      var cSpr = cObj.AddComponent<SpriteRenderer>();
                                      cSpr.sprite = ModAPI.LoadSprite("rarrockhair.png");
                                      cSpr.sortingLayerName = "Top";

                                  var qObj = new GameObject("rainboomrarupperleg");
                                  qObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("UpperLegFront"));
                                  qObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                  qObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  qObj.transform.localScale = new Vector3(1f, 1f);
                                  var qSpr = qObj.AddComponent<SpriteRenderer>();
                                  qSpr.sprite = ModAPI.LoadSprite("rainboomrarupperleg.png");
                                  qSpr.sortingLayerName = "Top";
                                var xObj = new GameObject("rainboomrarlowerleg");
                                xObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("LowerLegFront"));
                                xObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                xObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                xObj.transform.localScale = new Vector3(1f, 1f);
                                var xSpr = xObj.AddComponent<SpriteRenderer>();
                                xSpr.sprite = ModAPI.LoadSprite("rainboomrarlowerleg.png");
                                xSpr.sortingLayerName = "Top";
                              var yObj = new GameObject("rainboomrarfeet");
                              yObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("FootFront"));
                              yObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              yObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              yObj.transform.localScale = new Vector3(1f, 1f);
                              var ySpr = yObj.AddComponent<SpriteRenderer>();
                              ySpr.sprite = ModAPI.LoadSprite("rainboomrarfeet.png");
                              ySpr.sortingLayerName = "Top";
                              var etObj = new GameObject("rainboomrardressup");
                              etObj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                              etObj.transform.localPosition = new Vector3(-0.03f, -0.16f);
                              etObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              etObj.transform.localScale = new Vector3(1f, 1f);
                              var etSpr = etObj.AddComponent<SpriteRenderer>();
                              etSpr.sprite = ModAPI.LoadSprite("rainboomrardressup.png");
                              etSpr.sortingLayerName = "Middle";
                              var efObj = new GameObject("rainboomrardressbot");
                              efObj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                              efObj.transform.localPosition = new Vector3(-0.03f, -0.16f);
                              efObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              efObj.transform.localScale = new Vector3(1f, 1f);
                              var efSpr = efObj.AddComponent<SpriteRenderer>();
                              efSpr.sprite = ModAPI.LoadSprite("rainboomrardressbot.png");
                              efSpr.sortingLayerName = "Top";
                              var yz2Obj = new GameObject("rainboomrararm");
                              yz2Obj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                              yz2Obj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              yz2Obj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              yz2Obj.transform.localScale = new Vector3(1f, 1f);
                              var yz2Spr = yz2Obj.AddComponent<SpriteRenderer>();
                              yz2Spr.sprite = ModAPI.LoadSprite("rainboomrararm.png");
                              yz2Spr.sortingLayerName = "Decals";
                                      person.SetBodyTextures(skin, flesh, bone, 1);
                                    }
                                }
                            );
                          ModAPI.Register(
                              new Modification()
                              {
                                  OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                  NameOverride = "Sonata Dusk", //new item name with a suffix to assure it is globally unique
                                  NameToOrderByOverride = "sonata dusk",
                                  DescriptionOverride = "She is the overvalorated dazzling, but nice waifu too!", //new item description
                                  CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                  ThumbnailOverride = ModAPI.LoadSprite("sonatathumb.png"), //new item thumbnail (relative path)
                                  AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                  {
                                      var skin = ModAPI.LoadTexture("sonataskin.png");
                                      var flesh = ModAPI.LoadTexture("sonataflesh.png");
                                      var bone = ModAPI.LoadTexture("sonatabone.png");
                                      var person = Instance.GetComponent<PersonBehaviour>();
                                      var head = Instance.transform.GetChild(5);
                                      var cObj = new GameObject("sonatahair");
                                      cObj.transform.SetParent(Instance.transform.Find("Head"));
                                      cObj.transform.localPosition = new Vector3(-0.24f, -0.24f);
                                      cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      cObj.transform.localScale = new Vector3(1f, 1f);
                                      var cSpr = cObj.AddComponent<SpriteRenderer>();
                                      cSpr.sprite = ModAPI.LoadSprite("sonatahair.png");
                                      cSpr.sortingLayerName = "Middle";
                                      person.SetBodyTextures(skin, flesh, bone, 1);
                                    }
                                }
                            );
                            ModAPI.Register(
                                new Modification()
                                {
                                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                    NameOverride = "Rainbooms Sunset (Doll Edition))", //new item name with a suffix to assure it is globally unique
                                    NameToOrderByOverride = "rainbooms sunsetvdoll",
                                    DescriptionOverride = "This is a gift for that 300 subs <3 and thanks for resist the hiatus! This version of Sunset was released by Hasbro as a doll design.", //new item description
                                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                    ThumbnailOverride = ModAPI.LoadSprite("sunrrdollthumb.png"), //new item thumbnail (relative path)
                                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                    {
                                        var skin = ModAPI.LoadTexture("sunrrdollskin.png");
                                        var flesh = ModAPI.LoadTexture("sunrrdollflesh.png");
                                        var bone = ModAPI.LoadTexture("sunrrdollbone.png");
                                        var person = Instance.GetComponent<PersonBehaviour>();
                                        var head = Instance.transform.GetChild(5);
                                        var cObj = new GameObject("sunrrdollhair");
                                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                                        cObj.transform.localPosition = new Vector3(-0.19f, -0.21f);
                                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                        cObj.transform.localScale = new Vector3(1f, 1f);
                                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                                        cSpr.sprite = ModAPI.LoadSprite("sunrrdollhair.png");
                                        cSpr.sortingLayerName = "Middle";
                                        var ef1Obj = new GameObject("sunrrdolldress");
                                        ef1Obj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                        ef1Obj.transform.localPosition = new Vector3(-0.04f, -0.19f);
                                        ef1Obj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                        ef1Obj.transform.localScale = new Vector3(1f, 1f);
                                        var ef1Spr = ef1Obj.AddComponent<SpriteRenderer>();
                                        ef1Spr.sprite = ModAPI.LoadSprite("sunrrdolldress.png");
                                        ef1Spr.sortingLayerName = "Top";
                                        person.SetBodyTextures(skin, flesh, bone, 1);
                                        var qObj = new GameObject("sunrrdollheel");
                                        qObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("FootFront"));
                                        qObj.transform.localPosition = new Vector3(-0.04f, 0.0f);
                                        qObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                        qObj.transform.localScale = new Vector3(1f, 1f);
                                        var qSpr = qObj.AddComponent<SpriteRenderer>();
                                        qSpr.sprite = ModAPI.LoadSprite("sunrrdollheel.png");
                                        qSpr.sortingLayerName = "Bubbles";
                                        var qxbObj = new GameObject("sunrrdollheel2");
                                        qxbObj.transform.SetParent(Instance.transform.Find("BackLeg").Find("Foot"));
                                        qxbObj.transform.localPosition = new Vector3(-0.05f, 0.0f);
                                        qxbObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                        qxbObj.transform.localScale = new Vector3(1f, 1f);
                                        var qxbSpr = qxbObj.AddComponent<SpriteRenderer>();
                                        qxbSpr.sprite = ModAPI.LoadSprite("sunrrdollheel.png");
                                        qxbSpr.sortingLayerName = "Foreground";
                                        var qbObj = new GameObject("sunrrdollpantup");
                                        qbObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("UpperLegFront"));
                                        qbObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                        qbObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                        qbObj.transform.localScale = new Vector3(1f, 1f);
                                        var qbSpr = qbObj.AddComponent<SpriteRenderer>();
                                        qbSpr.sprite = ModAPI.LoadSprite("sunrrdollpantup.png");
                                        qbSpr.sortingLayerName = "Top";
                                      var xObj = new GameObject("sunrrdollpantlow");
                                      xObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("LowerLegFront"));
                                      xObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                      xObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      xObj.transform.localScale = new Vector3(1f, 1f);
                                      var xSpr = xObj.AddComponent<SpriteRenderer>();
                                      xSpr.sprite = ModAPI.LoadSprite("sunrrdollpantlow.png");
                                      xSpr.sortingLayerName = "Top";
                                      var yfbObj = new GameObject("sunrrdollarm");
                                      yfbObj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                                      yfbObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                      yfbObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                      yfbObj.transform.localScale = new Vector3(1f, 1f);
                                      var yfbSpr = yfbObj.AddComponent<SpriteRenderer>();
                                      yfbSpr.sprite = ModAPI.LoadSprite("sunrrdollarm.png");
                                      yfbSpr.sortingLayerName = "Decals";
                                      }
                                  }
                              );
                              ModAPI.Register(
                                  new Modification()
                                  {
                                      OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                      NameOverride = "Daybreaker", //new item name with a suffix to assure it is globally unique
                                      NameToOrderByOverride = "daybreaker",
                                      DescriptionOverride = "A gift for Christmas and a happy new year <3. This character is 100% inspired in the Daybreaker version of the artist 'WubcakeVA'! Daybreaker doesn't have a canon version in EQG.", //new item description
                                      CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                      ThumbnailOverride = ModAPI.LoadSprite("daybreakerthumb.png"), //new item thumbnail (relative path)
                                      AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                      {
                                          var skin = ModAPI.LoadTexture("daybreakerskin.png");
                                          var flesh = ModAPI.LoadTexture("daybreakerflesh.png");
                                          var bone = ModAPI.LoadTexture("daybreakerbone.png");
                                          var person = Instance.GetComponent<PersonBehaviour>();
                                          var head = Instance.transform.GetChild(5);
                                          var cObj = new GameObject("daybreakerhair");
                                          cObj.transform.SetParent(Instance.transform.Find("Head"));
                                          cObj.transform.localPosition = new Vector3(-0.04f, -0.29f);
                                          cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                          cObj.transform.localScale = new Vector3(1f, 1f);
                                          var cSpr = cObj.AddComponent<SpriteRenderer>();
                                          cSpr.sprite = ModAPI.LoadSprite("daybreakerhair.png");
                                          cSpr.sortingLayerName = "Middle";
                                  var yObj = new GameObject("daybreakerheel");
                                  yObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("FootFront"));
                                  yObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                  yObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  yObj.transform.localScale = new Vector3(1f, 1f);
                                  var ySpr = yObj.AddComponent<SpriteRenderer>();
                                  ySpr.sprite = ModAPI.LoadSprite("daybreakerheel.png");
                                  ySpr.sortingLayerName = "Decals";
                                  var qxbObj = new GameObject("daybreakerheel2");
                                  qxbObj.transform.SetParent(Instance.transform.Find("BackLeg").Find("Foot"));
                                  qxbObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                  qxbObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  qxbObj.transform.localScale = new Vector3(1f, 1f);
                                  var qxbSpr = qxbObj.AddComponent<SpriteRenderer>();
                                  qxbSpr.sprite = ModAPI.LoadSprite("daybreakerheel.png");
                                  qxbSpr.sortingLayerName = "Top";

                                  var etObj = new GameObject("daybreakerdecor");
                                  etObj.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                                  etObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                  etObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  etObj.transform.localScale = new Vector3(1f, 1f);
                                  var etSpr = etObj.AddComponent<SpriteRenderer>();
                                  etSpr.sprite = ModAPI.LoadSprite("daybreakerdecor.png");
                                  etSpr.sortingLayerName = "Decals";
                                  var efObj = new GameObject("daybreakerskirt");
                                  efObj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
                                  efObj.transform.localPosition = new Vector3(-0.12f, -0.06f);
                                  efObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  efObj.transform.localScale = new Vector3(1f, 1f);
                                  var efSpr = efObj.AddComponent<SpriteRenderer>();
                                  efSpr.sprite = ModAPI.LoadSprite("daybreakerskirt.png");
                                  efSpr.sortingLayerName = "Top";
                                  person.SetBodyTextures(skin, flesh, bone, 1);
                                  var yfbObj = new GameObject("daybreakerarm");
                                  yfbObj.transform.SetParent(Instance.transform.Find("FrontArm").Find("LowerArmFront"));
                                  yfbObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                  yfbObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  yfbObj.transform.localScale = new Vector3(1f, 1f);
                                  var yfbSpr = yfbObj.AddComponent<SpriteRenderer>();
                                  yfbSpr.sprite = ModAPI.LoadSprite("daybreakerarm.png");
                                  yfbSpr.sortingLayerName = "Decals";
                                  var d3Obj = new GameObject("daybreakerwing");
                                d3Obj.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                                d3Obj.transform.localPosition = new Vector3(-0.55f, 0.20f);
                                d3Obj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                d3Obj.transform.localScale = new Vector3(1f, 1f);
                                var d3Spr = d3Obj.AddComponent<SpriteRenderer>();
                                d3Spr.sprite = ModAPI.LoadSprite("daybreakerwing.png");
                                d3Spr.sortingLayerName = "Middle";
                                        }
                                    }
                                );
                            ModAPI.Register(
                                new Modification()
                                {
                                    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                                    NameOverride = "Aria Blaze", //new item name with a suffix to assure it is globally unique
                                    NameToOrderByOverride = "aria blaze",
                                    DescriptionOverride = "The most undervalued dazzling :c.", //new item description
                                    CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                    ThumbnailOverride = ModAPI.LoadSprite("ariathumb.png"), //new item thumbnail (relative path)
                                    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                    {
                                        var skin = ModAPI.LoadTexture("ariaskin.png");
                                        var flesh = ModAPI.LoadTexture("ariaflesh.png");
                                        var bone = ModAPI.LoadTexture("ariabone.png");
                                        var person = Instance.GetComponent<PersonBehaviour>();
                                        var head = Instance.transform.GetChild(5);
                                        var cObj = new GameObject("ariahair");
                                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                                        cObj.transform.localPosition = new Vector3(-0.19f, -0.12f);
                                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                        cObj.transform.localScale = new Vector3(1f, 1f);
                                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                                        cSpr.sprite = ModAPI.LoadSprite("ariahair.png");
                                        cSpr.sortingLayerName = "Middle";
                                        person.SetBodyTextures(skin, flesh, bone, 1);
                                        var qObj = new GameObject("ariadec");
                                        qObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("UpperLegFront"));
                                        qObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                                        qObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                        qObj.transform.localScale = new Vector3(1f, 1f);
                                        var qSpr = qObj.AddComponent<SpriteRenderer>();
                                        qSpr.sprite = ModAPI.LoadSprite("ariadecor.png");
                                        qSpr.sortingLayerName = "Top";
                                        person.SetBodyTextures(skin, flesh, bone, 1);
                                      }
                                  }
                              );
                    ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                            NameOverride = "Principal Celestia", //new item name with a suffix to assure it is globally unique
                            NameToOrderByOverride = "principal celestia",
                            DescriptionOverride = "She is the Principal of Canterlot High. Show some respect!", //new item description
                            CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                            ThumbnailOverride = ModAPI.LoadSprite("celestiathumb.png"), //new item thumbnail (relative path)
                            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                            {
                                var skin = ModAPI.LoadTexture("celestiaskin.png");
                                var flesh = ModAPI.LoadTexture("celestiaflesh.png");
                                var bone = ModAPI.LoadTexture("celestiabone.png");
                                var person = Instance.GetComponent<PersonBehaviour>();
                                var head = Instance.transform.GetChild(5);
                                var cObj = new GameObject("celestiahair");
                                cObj.transform.SetParent(Instance.transform.Find("Head"));
                                cObj.transform.localPosition = new Vector3(-0.12f, -0.09f);
                                cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                cObj.transform.localScale = new Vector3(1f, 1f);
                                var cSpr = cObj.AddComponent<SpriteRenderer>();
                                cSpr.sprite = ModAPI.LoadSprite("celestiahair.png");
                                cSpr.sortingLayerName = "Middle";
                                person.SetBodyTextures(skin, flesh, bone, 1);
                              }
                          }
                      );
                      ModAPI.Register(
                          new Modification()
                          {
                              OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                              NameOverride = "Vice Principal Luna", //new item name with a suffix to assure it is globally unique
                              NameToOrderByOverride = "vice principal luna",
                              DescriptionOverride = "She loves the night!", //new item description
                              CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                              ThumbnailOverride = ModAPI.LoadSprite("lunathumb.png"), //new item thumbnail (relative path)
                              AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                              {
                                  var skin = ModAPI.LoadTexture("lunaskin.png");
                                  var flesh = ModAPI.LoadTexture("lunaflesh.png");
                                  var bone = ModAPI.LoadTexture("lunabone.png");
                                  var person = Instance.GetComponent<PersonBehaviour>();
                                  var head = Instance.transform.GetChild(5);
                                  var cObj = new GameObject("lunahair");
                                  cObj.transform.SetParent(Instance.transform.Find("Head"));
                                  cObj.transform.localPosition = new Vector3(-0.18f, -0.18f);
                                  cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                  cObj.transform.localScale = new Vector3(1f, 1f);
                                  var cSpr = cObj.AddComponent<SpriteRenderer>();
                                  cSpr.sprite = ModAPI.LoadSprite("lunahair.png");
                                  cSpr.sortingLayerName = "Top";
                                  person.SetBodyTextures(skin, flesh, bone, 1);
                                }
                            }
                        );
                    ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                            NameOverride = "Princess Twilight", //new item name with a suffix to assure it is globally unique
                            NameToOrderByOverride = "princess twilight",
                            DescriptionOverride = "She's the true owner of that crown1", //new item description
                            CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                            ThumbnailOverride = ModAPI.LoadSprite("ptwithumb.png"), //new item thumbnail (relative path)
                            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                            {
                                var skin = ModAPI.LoadTexture("ptwiskin.png");
                                var flesh = ModAPI.LoadTexture("ptwiflesh.png");
                                var bone = ModAPI.LoadTexture("ptwibone.png");
                                var person = Instance.GetComponent<PersonBehaviour>();
                                var head = Instance.transform.GetChild(5);
                                var cObj = new GameObject("ptwihair");
                                cObj.transform.SetParent(Instance.transform.Find("Head"));
                                cObj.transform.localPosition = new Vector3(0.0f, -0.12f);
                                cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                cObj.transform.localScale = new Vector3(1f, 1f);
                                var cSpr = cObj.AddComponent<SpriteRenderer>();
                                cSpr.sprite = ModAPI.LoadSprite("ptwihair.png");
                                cSpr.sortingLayerName = "Middle";
                                var dObj = new GameObject("ptwwings");
                              dObj.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
                              dObj.transform.localPosition = new Vector3(-0.50f, 0.0f);
                              dObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              dObj.transform.localScale = new Vector3(1f, 1f);
                              var dSpr = dObj.AddComponent<SpriteRenderer>();
                              dSpr.sprite = ModAPI.LoadSprite("ptwwings.png");
                              dSpr.sortingLayerName = "Top";
                              var eObj = new GameObject("ptwidress");
                            eObj.transform.SetParent(Instance.transform.Find("Body").Find("MiddleBody"));
                            eObj.transform.localPosition = new Vector3(0.0f, -0.3f);
                            eObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                            eObj.transform.localScale = new Vector3(1f, 1f);
                            var eSpr = eObj.AddComponent<SpriteRenderer>();
                            eSpr.sprite = ModAPI.LoadSprite("ptwidress.png");
                            eSpr.sortingLayerName = "Back";

                                person.SetBodyTextures(skin, flesh, bone, 1);
                              }
                          }
                      );
                  ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                          NameOverride = "Pinkie Pie", //new item name with a suffix to assure it is globally unique
                          NameToOrderByOverride = "pinkie",
                          DescriptionOverride = "Let's party!", //new item description
                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                          ThumbnailOverride = ModAPI.LoadSprite("thumbpink.png"), //new item thumbnail (relative path)
                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                          {
                              var skin = ModAPI.LoadTexture("pinkskin.png");
                              var flesh = ModAPI.LoadTexture("pinkflesh.png");
                              var bone = ModAPI.LoadTexture("pinkbone.png");
                              var person = Instance.GetComponent<PersonBehaviour>();
                              var head = Instance.transform.GetChild(5);
                              var cObj = new GameObject("pinkhair");
                              cObj.transform.SetParent(Instance.transform.Find("Head"));
                              cObj.transform.localPosition = new Vector3(-0.06f, -0.09f);
                              cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cObj.transform.localScale = new Vector3(1f, 1f);
                              var cSpr = cObj.AddComponent<SpriteRenderer>();
                              cSpr.sprite = ModAPI.LoadSprite("pinkhair.png");
                              cSpr.sortingLayerName = "Middle";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                          }
                      }
                  );
                  ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                          NameOverride = "Flash Sentry", //new item name with a suffix to assure it is globally unique
                          NameToOrderByOverride = "flash sentry",
                          DescriptionOverride = "Dis dude is chad, conquered ur waifus Sunset and Twilight, kek.", //new item description
                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                          ThumbnailOverride = ModAPI.LoadSprite("flashthumb.png"), //new item thumbnail (relative path)
                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                          {
                              var skin = ModAPI.LoadTexture("flashskin.png");
                              var flesh = ModAPI.LoadTexture("flashflesh.png");
                              var bone = ModAPI.LoadTexture("flashbone.png");
                              var person = Instance.GetComponent<PersonBehaviour>();
                              var head = Instance.transform.GetChild(5);
                              var cObj = new GameObject("flashhair");
                              cObj.transform.SetParent(Instance.transform.Find("Head"));
                              cObj.transform.localPosition = new Vector3(-0.05f, 0.09f);
                              cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cObj.transform.localScale = new Vector3(1f, 1f);
                              var cSpr = cObj.AddComponent<SpriteRenderer>();
                              cSpr.sprite = ModAPI.LoadSprite("flashhair.png");
                              cSpr.sortingLayerName = "Middle";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                            }
                        }
                    );
                    ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                            NameOverride = "Brawley Beats", //new item name with a suffix to assure it is globally unique
                            NameToOrderByOverride = "brawley beats",
                            DescriptionOverride = "Flash Sentry's friend.", //new item description
                            CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                            ThumbnailOverride = ModAPI.LoadSprite("brawlybeastthumb.png"), //new item thumbnail (relative path)
                            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                            {
                                var skin = ModAPI.LoadTexture("brawlybeastskin.png");
                                var flesh = ModAPI.LoadTexture("brawlybeastsflesh.png");
                                var bone = ModAPI.LoadTexture("brawlybeastsbone.png");
                                var person = Instance.GetComponent<PersonBehaviour>();
                                var head = Instance.transform.GetChild(5);
                                var cObj = new GameObject("brawlybeastshair");
                                cObj.transform.SetParent(Instance.transform.Find("Head"));
                                cObj.transform.localPosition = new Vector3(0.0f, 0.06f);
                                cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                cObj.transform.localScale = new Vector3(1f, 1f);
                                var cSpr = cObj.AddComponent<SpriteRenderer>();
                                cSpr.sprite = ModAPI.LoadSprite("brawlybeastshair.png");
                                cSpr.sortingLayerName = "Middle";
                                person.SetBodyTextures(skin, flesh, bone, 1);
                              }
                          }
                      );
                    ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                            NameOverride = "Trixie Lulamoon", //new item name with a suffix to assure it is globally unique
                            NameToOrderByOverride = "trixie lulamoon",
                            DescriptionOverride = "THE GREAT AND POWERFULL TRRRRIXIE!", //new item description
                            CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                            ThumbnailOverride = ModAPI.LoadSprite("trixiethumb.png"), //new item thumbnail (relative path)
                            AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                            {
                                var skin = ModAPI.LoadTexture("trixieskin.png");
                                var flesh = ModAPI.LoadTexture("trixieflesh.png");
                                var bone = ModAPI.LoadTexture("trixiebone.png");
                                var person = Instance.GetComponent<PersonBehaviour>();
                                var head = Instance.transform.GetChild(5);
                                var cObj = new GameObject("trixiehair");
                                cObj.transform.SetParent(Instance.transform.Find("Head"));
                                cObj.transform.localPosition = new Vector3(-0.11f, -0.09f);
                                cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                                cObj.transform.localScale = new Vector3(1f, 1f);
                                var cSpr = cObj.AddComponent<SpriteRenderer>();
                                cSpr.sprite = ModAPI.LoadSprite("trixiehair.png");
                                cSpr.sortingLayerName = "Top";
                                person.SetBodyTextures(skin, flesh, bone, 1);
                              }
                          }
                      );
                  ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                          NameOverride = "Rainbow Dash", //new item name with a suffix to assure it is globally unique
                          NameToOrderByOverride = "rainbow",
                          DescriptionOverride = "She's really good at sports...!", //new item description
                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                          ThumbnailOverride = ModAPI.LoadSprite("thumbrain.png"), //new item thumbnail (relative path)
                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                          {
                              var skin = ModAPI.LoadTexture("rainskin.png");
                              var flesh = ModAPI.LoadTexture("rainflesh.png");
                              var bone = ModAPI.LoadTexture("rainbone.png");
                              var person = Instance.GetComponent<PersonBehaviour>();
                              var head = Instance.transform.GetChild(5);
                              var cObj = new GameObject("rainhair");
                              cObj.transform.SetParent(Instance.transform.Find("Head"));
                              cObj.transform.localPosition = new Vector3(0.0f, -0.15f);
                              cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cObj.transform.localScale = new Vector3(1f, 1f);
                              var cSpr = cObj.AddComponent<SpriteRenderer>();
                              cSpr.sprite = ModAPI.LoadSprite("rainhair.png");
                              cSpr.sortingLayerName = "Middle";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                          }
                      }
                  );
                  ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                          NameOverride = "Rarity", //new item name with a suffix to assure it is globally unique
                          NameToOrderByOverride = "rarity",
                          DescriptionOverride = "She likes clothes!", //new item description
                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                          ThumbnailOverride = ModAPI.LoadSprite("rarthumb.png"), //new item thumbnail (relative path)
                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                          {
                              var skin = ModAPI.LoadTexture("rarskin.png");
                              var flesh = ModAPI.LoadTexture("rarflesh.png");
                              var bone = ModAPI.LoadTexture("rarbone.png");
                              var person = Instance.GetComponent<PersonBehaviour>();
                              var head = Instance.transform.GetChild(5);
                              var cObj = new GameObject("rarhair");
                              cObj.transform.SetParent(Instance.transform.Find("Head"));
                              cObj.transform.localPosition = new Vector3(-0.02f, -0.06f);
                              cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cObj.transform.localScale = new Vector3(1f, 1f);
                              var cSpr = cObj.AddComponent<SpriteRenderer>();
                              cSpr.sprite = ModAPI.LoadSprite("rarhair.png");
                              cSpr.sortingLayerName = "Top";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                          }
                      }
                  );
                  ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                          NameOverride = "Sunset Shimmer", //new item name with a suffix to assure it is globally unique
                          NameToOrderByOverride = "sunset",
                          DescriptionOverride = "She really wants that crown, huh...", //new item description
                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                          ThumbnailOverride = ModAPI.LoadSprite("sunthumb.png"), //new item thumbnail (relative path)
                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                          {
                              var skin = ModAPI.LoadTexture("sunskin.png");
                              var flesh = ModAPI.LoadTexture("sunflesh.png");
                              var bone = ModAPI.LoadTexture("sunbone.png");
                              var person = Instance.GetComponent<PersonBehaviour>();
                              var head = Instance.transform.GetChild(5);
                              var cObj = new GameObject("sunhair");
                              cObj.transform.SetParent(Instance.transform.Find("Head"));
                              cObj.transform.localPosition = new Vector3(-0.04f, -0.39f);
                              cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cObj.transform.localScale = new Vector3(1f, 1f);
                              var cSpr = cObj.AddComponent<SpriteRenderer>();
                              cSpr.sprite = ModAPI.LoadSprite("sunhair.png");
                              cSpr.sortingLayerName = "Middle";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                          }
                      }
                  );
                  ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                          NameOverride = "Rainbooms Sunset Shimmer", //new item name with a suffix to assure it is globally unique
                          NameToOrderByOverride = "rainbooms sunset shimmer",
                          DescriptionOverride = "She's not evil anymore :D", //new item description
                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                          ThumbnailOverride = ModAPI.LoadSprite("sunrockthumb.png"), //new item thumbnail (relative path)
                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                          {
                              var skin = ModAPI.LoadTexture("sunrockskin.png");
                              var flesh = ModAPI.LoadTexture("sunrockflesh.png");
                              var bone = ModAPI.LoadTexture("sunrockbone.png");
                              var person = Instance.GetComponent<PersonBehaviour>();
                              var head = Instance.transform.GetChild(5);
                              var cObj = new GameObject("sunhair");
                              cObj.transform.SetParent(Instance.transform.Find("Head"));
                              cObj.transform.localPosition = new Vector3(-0.04f, -0.39f);
                              cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cObj.transform.localScale = new Vector3(1f, 1f);
                              var cSpr = cObj.AddComponent<SpriteRenderer>();
                              cSpr.sprite = ModAPI.LoadSprite("sunrockhair.png");
                              cSpr.sortingLayerName = "Middle";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                          }
                      }
                  );
                  ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                          NameOverride = "Queen Chrysalis", //new item name with a suffix to assure it is globally unique
                          NameToOrderByOverride = "queen chrysalis",
                          DescriptionOverride = "THANKS FOR 200 DOWNLOADS! <3. This character is a recreation from the official doll released by Hasbro.", //new item description
                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                          ThumbnailOverride = ModAPI.LoadSprite("chrysalisthumb.png"), //new item thumbnail (relative path)
                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                          {
                              var skin = ModAPI.LoadTexture("chrysalisskin.png");
                              var flesh = ModAPI.LoadTexture("chrysalisflesh.png");
                              var bone = ModAPI.LoadTexture("chrysalisbone.png");
                              var person = Instance.GetComponent<PersonBehaviour>();
                              var head = Instance.transform.GetChild(5);
                              var cObj = new GameObject("chrysalishair");
                              cObj.transform.SetParent(Instance.transform.Find("Head"));
                              cObj.transform.localPosition = new Vector3(-0.06f, -0.14f);
                              cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cObj.transform.localScale = new Vector3(1f, 1f);
                              var cSpr = cObj.AddComponent<SpriteRenderer>();
                              cSpr.sprite = ModAPI.LoadSprite("chrysalishair.png");
                              cSpr.sortingLayerName = "Middle";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                              var qObj = new GameObject("chrysalisheels");
                              qObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("LowerLegFront"));
                              qObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              qObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              qObj.transform.localScale = new Vector3(1f, 1f);
                              var qSpr = qObj.AddComponent<SpriteRenderer>();
                              qSpr.sprite = ModAPI.LoadSprite("chrysalisheels.png");
                              qSpr.sortingLayerName = "Top";
                              var yObj = new GameObject("chrysalissandals");
                              yObj.transform.SetParent(Instance.transform.Find("FrontLeg").Find("FootFront"));
                              yObj.transform.localPosition = new Vector3(-0.06f, 0.0f);
                              yObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              yObj.transform.localScale = new Vector3(1f, 1f);
                              var ySpr = yObj.AddComponent<SpriteRenderer>();
                              ySpr.sprite = ModAPI.LoadSprite("chrysalissandals.png");
                              ySpr.sortingLayerName = "Top";
                              var qbObj = new GameObject("chrysalisheels2");
                              qbObj.transform.SetParent(Instance.transform.Find("BackLeg").Find("LowerLeg"));
                              qbObj.transform.localPosition = new Vector3(0.0f, 0.0f);
                              qbObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              qbObj.transform.localScale = new Vector3(1f, 1f);
                              var qbSpr = qbObj.AddComponent<SpriteRenderer>();
                              qbSpr.sprite = ModAPI.LoadSprite("chrysalisheels.png");
                              qbSpr.sortingLayerName = "Top";
                              var ybObj = new GameObject("chrysalissandals2");
                              ybObj.transform.SetParent(Instance.transform.Find("BackLeg").Find("Foot"));
                              ybObj.transform.localPosition = new Vector3(-0.06f, 0.0f);
                              ybObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              ybObj.transform.localScale = new Vector3(1f, 1f);
                              var ybSpr = ybObj.AddComponent<SpriteRenderer>();
                              ybSpr.sprite = ModAPI.LoadSprite("chrysalissandals.png");
                              ybSpr.sortingLayerName = "Top";
                            }
                        }
                    );
                  ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                          NameOverride = "Twilight Sparkle", //new item name with a suffix to assure it is globally unique
                          NameToOrderByOverride = "twilight",
                          DescriptionOverride = "She's here to take her crown again!", //new item description
                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                          ThumbnailOverride = ModAPI.LoadSprite("twithumb.png"), //new item thumbnail (relative path)
                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                          {
                              var skin = ModAPI.LoadTexture("twiskin.png");
                              var flesh = ModAPI.LoadTexture("twiflesh.png");
                              var bone = ModAPI.LoadTexture("twibone.png");
                              var person = Instance.GetComponent<PersonBehaviour>();
                              var head = Instance.transform.GetChild(5);
                              var cObj = new GameObject("twihair");
                              cObj.transform.SetParent(Instance.transform.Find("Head"));
                              cObj.transform.localPosition = new Vector3(0.0f, -0.12f);
                              cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cObj.transform.localScale = new Vector3(1f, 1f);
                              var cSpr = cObj.AddComponent<SpriteRenderer>();
                              cSpr.sprite = ModAPI.LoadSprite("twihair.png");
                              cSpr.sortingLayerName = "Middle";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                          }
                      }
                  );
                  ModAPI.Register(
                      new Modification()
                      {
                          OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
                          NameOverride = "Fluttershy", //new item name with a suffix to assure it is globally unique
                          NameToOrderByOverride = "fluttershy",
                          DescriptionOverride = "She is really timid...", //new item description
                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                          ThumbnailOverride = ModAPI.LoadSprite("flutterthumb.png"), //new item thumbnail (relative path)
                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                          {
                              var skin = ModAPI.LoadTexture("flutterskin.png");
                              var flesh = ModAPI.LoadTexture("flutterflesh.png");
                              var bone = ModAPI.LoadTexture("flutterbone.png");
                              var person = Instance.GetComponent<PersonBehaviour>();
                              var head = Instance.transform.GetChild(5);
                              var cObj = new GameObject("flutterhairback");
                              cObj.transform.SetParent(Instance.transform.Find("Head"));
                              cObj.transform.localPosition = new Vector3(0.0f, -0.12f);
                              cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cObj.transform.localScale = new Vector3(1f, 1f);
                              var cSpr = cObj.AddComponent<SpriteRenderer>();
                              cSpr.sprite = ModAPI.LoadSprite("flutterhairback.png");
                              cSpr.sortingLayerName = "Middle";
                              var cbObj = new GameObject("flutterhairfront");
                              cbObj.transform.SetParent(Instance.transform.Find("Head"));
                              cbObj.transform.localPosition = new Vector3(0.0f, -0.12f);
                              cbObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                              cbObj.transform.localScale = new Vector3(1f, 1f);
                              var cbSpr = cbObj.AddComponent<SpriteRenderer>();
                              cbSpr.sprite = ModAPI.LoadSprite("flutterhairfront.png");
                              cbSpr.sortingLayerName = "Top";
                              person.SetBodyTextures(skin, flesh, bone, 1);
                              }
                          }
                      );
                      ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "Vinyl Scratch", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "vinyl scratch",
        DescriptionOverride = "Thanks for 100 downloads! <3", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("vinylthumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            var skin = ModAPI.LoadTexture("vinylskin.png");
            var flesh = ModAPI.LoadTexture("vinylflesh.png");
            var bone = ModAPI.LoadTexture("vinylbone.png");
            var person = Instance.GetComponent<PersonBehaviour>();
            var head = Instance.transform.GetChild(5);
            var cObj = new GameObject("vinylhair");
            cObj.transform.SetParent(Instance.transform.Find("Head"));
            cObj.transform.localPosition = new Vector3(0.0f, 0.01f);
            cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
            cObj.transform.localScale = new Vector3(1f, 1f);
            var cSpr = cObj.AddComponent<SpriteRenderer>();
            cSpr.sprite = ModAPI.LoadSprite("vinylhair.png");
            cSpr.sortingLayerName = "Top";
            var eObj = new GameObject("vinyldress");
          eObj.transform.SetParent(Instance.transform.Find("Body").Find("LowerBody"));
          eObj.transform.localPosition = new Vector3(-0.06f, -0.05f);
          eObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
          eObj.transform.localScale = new Vector3(1f, 1f);
          var eSpr = eObj.AddComponent<SpriteRenderer>();
          eSpr.sprite = ModAPI.LoadSprite("vinyldress.png");
          eSpr.sortingLayerName = "Back";
            person.SetBodyTextures(skin, flesh, bone, 1);

          }
      }
  );
  ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Rod"),
                 NameToOrderByOverride = "armor",
                 NameOverride = "Vinyl Scratch's Glasses",
                 DescriptionOverride = "This glasses will make you feel DA MUSIC!",
                 ThumbnailOverride = ModAPI.LoadSprite("vinylglasses.png", 1f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("vinylglasses.png", 1f);
                     ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                     armor.stabResistance = 0f;
                     armor.armorPiece = "Head";
                     armor.armorTier = 3;

                     Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.00f;
                     Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.00f;
                     Instance.FixColliders();
                   }
               }
           );
                                    ModAPI.Register(
                                        new Modification()
                                        {
                                          OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                                          NameOverride = "Honesty", //new item name with a suffix to assure it is globally unique
                                          NameToOrderByOverride = "honesty",
                                          DescriptionOverride = "Applejack's element.", //new item description
                                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                          ThumbnailOverride = ModAPI.LoadSprite("hone.png"), //new item thumbnail (relative path)
                                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                          {
                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("hone.png"); //get the SpriteRenderer and replace its sprite with a custom one
                                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                                              Instance.GetComponent<PhysicalBehaviour>().InitialMass = .0f;
                                              Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = .0f;
                                              Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = .0f;
                                              armor.stabResistance = 20f;
                                              armor.armorPiece = "UpperBody";
                                              armor.armorTier = 0;
                                              armor.otherSprite = "hone.png";
                                              armor.otherName = "Steel Chestplate - FA";
                                              armor.otherPiece = "MiddleBody";
                                              armor.otherTier = 0;
                                              armor.otherResist = 20f;
                                              armor.SpawnOtherParts();
                                              Instance.FixColliders();
                                            }
                                        }
                                    );
                                    ModAPI.Register(
                                        new Modification()
                                        {
                                          OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                                          NameOverride = "Laughter", //new item name with a suffix to assure it is globally unique
                                          NameToOrderByOverride = "laughter",
                                          DescriptionOverride = "Pinkie Pie's element.", //new item description
                                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                          ThumbnailOverride = ModAPI.LoadSprite("risa.png"), //new item thumbnail (relative path)
                                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                          {
                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("risa.png"); //get the SpriteRenderer and replace its sprite with a custom one
                                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                                              Instance.GetComponent<PhysicalBehaviour>().InitialMass = .0f;
                                              Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = .0f;
                                              Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = .0f;
                                              armor.stabResistance = 20f;
                                              armor.armorPiece = "UpperBody";
                                              armor.armorTier = 0;
                                              armor.otherSprite = "risa.png";
                                              armor.otherName = "Steel Chestplate - FA";
                                              armor.otherPiece = "MiddleBody";
                                              armor.otherTier = 0;
                                              armor.otherResist = 20f;
                                              armor.SpawnOtherParts();
                                              Instance.FixColliders();
                                            }
                                        }
                                    );
                                    ModAPI.Register(
                                        new Modification()
                                        {
                                          OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                                          NameOverride = "Kindness", //new item name with a suffix to assure it is globally unique
                                          NameToOrderByOverride = "kindness",
                                          DescriptionOverride = "Fluttershy's element.", //new item description
                                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                          ThumbnailOverride = ModAPI.LoadSprite("amab.png"), //new item thumbnail (relative path)
                                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                          {
                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("amab.png"); //get the SpriteRenderer and replace its sprite with a custom one
                                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                                              Instance.GetComponent<PhysicalBehaviour>().InitialMass = .5f;
                                              Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = .5f;
                                              Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = .5f;
                                              armor.stabResistance = 20f;
                                              armor.armorPiece = "UpperBody";
                                              armor.armorTier = 0;
                                              armor.otherSprite = "amab.png";
                                              armor.otherName = "Steel Chestplate - FA";
                                              armor.otherPiece = "MiddleBody";
                                              armor.otherTier = 0;
                                              armor.otherResist = 20f;
                                              armor.SpawnOtherParts();
                                              Instance.FixColliders();
                                            }
                                        }
                                    );
                                    ModAPI.Register(
                                        new Modification()
                                        {
                                          OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                                          NameOverride = "Generosity", //new item name with a suffix to assure it is globally unique
                                          NameToOrderByOverride = "generosity",
                                          DescriptionOverride = "Rarity's element.", //new item description
                                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                          ThumbnailOverride = ModAPI.LoadSprite("gen.png"), //new item thumbnail (relative path)
                                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                          {
                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("gen.png"); //get the SpriteRenderer and replace its sprite with a custom one
                                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                                              Instance.GetComponent<PhysicalBehaviour>().InitialMass = .0f;
                                              Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = .0f;
                                              Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = .0f;
                                              armor.stabResistance = 20f;
                                              armor.armorPiece = "UpperBody";
                                              armor.armorTier = 0;
                                              armor.otherSprite = "lowerchestplate.png";
                                              armor.otherName = "Steel Chestplate - FA";
                                              armor.otherPiece = "gen.png";
                                              armor.otherTier = 0;
                                              armor.otherResist = 20f;
                                              armor.SpawnOtherParts();
                                              Instance.FixColliders();
                                            }
                                        }
                                    );
                                    ModAPI.Register(
                                               new Modification()
                                               {
                                                   OriginalItem = ModAPI.FindSpawnable("Rod"),
                                                   NameToOrderByOverride = "armor",
                                                   NameOverride = "Applejack's Hat",
                                                   DescriptionOverride = "This is a legendary hat!",
                                                   ThumbnailOverride = ModAPI.LoadSprite("aplhat.png", 1f),
                                                   AfterSpawn = (Instance) =>
                                                   {
                                                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("aplhat.png", 1f);
                                                       ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                                       armor.stabResistance = 5f;
                                                       armor.armorPiece = "Head";
                                                       armor.armorTier = 3;

                                                       Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                                                       Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                                                       Instance.FixColliders();

                                                   }
                                               }
                                           );
                                           ModAPI.Register(
                                                      new Modification()
                                                      {
                                                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                                                          NameToOrderByOverride = "armor",
                                                          NameOverride = "Applejack's Hat (Rainbow Rocks))",
                                                          DescriptionOverride = "This hat was used by Applejack during Rainbow Rocks!",
                                                          ThumbnailOverride = ModAPI.LoadSprite("rainboomaplhat.png", 1f),
                                                          AfterSpawn = (Instance) =>
                                                          {
                                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rainboomaplhat.png", 1f);
                                                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                                              armor.stabResistance = 5f;
                                                              armor.armorPiece = "Head";
                                                              armor.armorTier = 3;

                                                              Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                                                              Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                                                              Instance.FixColliders();

                                                          }
                                                      }
                                                  );
                                           ModAPI.Register(
                                                      new Modification()
                                                      {
                                                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                                                          NameToOrderByOverride = "armor",
                                                          NameOverride = "Magic",
                                                          DescriptionOverride = "Twilight's crown, and the element of Magic!",
                                                          ThumbnailOverride = ModAPI.LoadSprite("magia.png", 1f),
                                                          AfterSpawn = (Instance) =>
                                                          {
                                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("magia.png", 1f);
                                                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                                              armor.stabResistance = 5f;
                                                              armor.armorPiece = "Head";
                                                              armor.armorTier = 3;

                                                              Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                                                              Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                                                              Instance.FixColliders();

                                                          }
                                                      }
                                                  );
                                    ModAPI.Register(
                                        new Modification()
                                        {
                                          OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
                                          NameOverride = "Loyalty", //new item name with a suffix to assure it is globally unique
                                          NameToOrderByOverride = "loyalty",
                                          DescriptionOverride = "Rainbow Dash's element.", //new item description
                                          CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
                                          ThumbnailOverride = ModAPI.LoadSprite("leal.png"), //new item thumbnail (relative path)
                                          AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
                                          {
                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("leal.png"); //get the SpriteRenderer and replace its sprite with a custom one
                                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                                              Instance.GetComponent<PhysicalBehaviour>().InitialMass = .0f;
                                              Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = .0f;
                                              Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = .0f;
                                              armor.stabResistance = 20f;
                                              armor.armorPiece = "UpperBody";
                                              armor.armorTier = 0;
                                              armor.otherSprite = "lowerchestplate.png";
                                              armor.otherName = "Steel Chestplate - FA";
                                              armor.otherPiece = "leal.png";
                                              armor.otherTier = 0;
                                              armor.otherResist = 20f;
                                              armor.SpawnOtherParts();
                                              Instance.FixColliders();
                                            }
                                        }
                                    );
                                }
                            }
                        }
